## Get a lead by ID **get** `/leads/{id}` Get a lead by ID ### Path Parameters - `id: string` ### Header Parameters - `"rotor-api-version": "1.1.0"` - `"1.1.0"` ### Returns - `data: optional object { id, archived, archived_at, 21 more }` - `id: optional string` - `archived: optional boolean` - `archived_at: optional string` - `assigned_to: optional string` - `created_at: optional string` - `email: optional string` - `follow_up_date: optional string` - `lead_source: optional string` - `location: optional array of number` - `name: optional string` - `notes: optional string` - `phone: optional string` - `priority: optional "low" or "medium" or "high"` - `"low"` - `"medium"` - `"high"` - `projected_value: optional number` - `property_city: optional string` - `property_country: optional string` - `property_state: optional string` - `property_street1: optional string` - `property_street2: optional string` - `property_zip: optional string` - `service_type: optional string` - `stage: optional string` Pipeline stage - `tags: optional array of string` - `value_score: optional number` - `status: optional string` ### Example ```http curl https://api.getrotor.com/open-api/leads/$ID \ -H "x-api-key: $ROTOR_API_KEY" ``` #### Response ```json { "data": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "archived": true, "archived_at": "2019-12-27T18:11:19.117Z", "assigned_to": "assigned_to", "created_at": "2019-12-27T18:11:19.117Z", "email": "dev@stainless.com", "follow_up_date": "2019-12-27T18:11:19.117Z", "lead_source": "lead_source", "location": [ 0 ], "name": "name", "notes": "notes", "phone": "phone", "priority": "low", "projected_value": 0, "property_city": "property_city", "property_country": "property_country", "property_state": "property_state", "property_street1": "property_street1", "property_street2": "property_street2", "property_zip": "property_zip", "service_type": "service_type", "stage": "stage", "tags": [ "string" ], "value_score": 0 }, "status": "success" } ```